ru.bitel.bgbilling.kernel.event.events

## Class ContractStatusModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.PoolEvent
    - - ru.bitel.bgbilling.kernel.event.events.ContractStatusModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractStatusModifiedEvent
      extends PoolEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractStatusModifiedEvent()`
    `` | `ContractStatusModifiedEvent(int contractId, int userId, ContractStatus oldContractStatus, ContractStatus newContractStatus)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractStatus` | `getNewContractStatus()`
    `ContractStatus` | `getOldContractStatus()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractStatusModifiedEvent

          protected ContractStatusModifiedEvent()

    - #### ContractStatusModifiedEvent

          public ContractStatusModifiedEvent(int contractId,
                                             int userId,
                                             ContractStatus oldContractStatus,
                                             ContractStatus newContractStatus)

  - ### Method Detail

    - #### getOldContractStatus

          public ContractStatus getOldContractStatus()

    - #### getNewContractStatus

          public ContractStatus getNewContractStatus()